## org.apache.commons.configuration
Class SystemConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.MapConfiguration
                  org.apache.commons.configuration.SystemConfiguration

All Implemented Interfaces:
  Cloneable, Configuration

    public class SystemConfiguration

extends MapConfiguration

A configuration based on the system properties.

Since:
  1.1
Version:
  $Id: SystemConfiguration.java 1210204 2011-12-04 20:38:02Z oheger $
Author:
  Emmanuel Bourg

Field Summary

Fields inherited from class org.apache.commons.configuration.MapConfiguration
`map`

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_READ_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`SystemConfiguration()` Create a Configuration based on the system properties.

Method Summary
`static void` `setSystemProperties(PropertiesConfiguration systemConfig)` Set System properties from a configuration file.
`static void` `setSystemProperties(String fileName)` The method allows system properties to be set from a property file.
`static void` `setSystemProperties(String basePath, String fileName)` The method allows system properties to be set from a property file.

Methods inherited from class org.apache.commons.configuration.MapConfiguration
`addPropertyDirect, clearPropertyDirect, clone, containsKey, getKeys, getMap, getProperty, isEmpty, isTrimmingDisabled, setTrimmingDisabled`

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration

`addErrorLogListener, addProperty, append, clear, clearProperty, copy, createInterpolator, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getInterpolator, getKeys, getList, getList, getListDelimiter, getLogger, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, getSubstitutor, interpolate, interpolate, interpolatedConfiguration, interpolateHelper, isDelimiterParsingDisabled, isScalarValue, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setLogger, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, addErrorListener, clearConfigurationListeners, clearErrorListeners, createErrorEvent, createEvent, fireError, fireEvent, getConfigurationListeners, getErrorListeners, isDetailEvents, removeConfigurationListener, removeErrorListener, setDetailEvents`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemConfiguration

    public SystemConfiguration()

  Create a Configuration based on the system properties.

  See Also:
    `System.getProperties()`

Method Detail

### setSystemProperties

    public static void setSystemProperties(String fileName)
                                    throws Exception

  The method allows system properties to be set from a property file.

  Parameters:
    `fileName` - The name of the property file.
  Throws:
    `Exception` - if an error occurs.
  Since:
    1.6

### setSystemProperties

    public static void setSystemProperties(String basePath,
                                           String fileName)
                                    throws Exception

  The method allows system properties to be set from a property file.

  Parameters:
    `basePath` - The base path to look for the property file.
    `fileName` - The name of the property file.
  Throws:
    `Exception` - if an error occurs.
  Since:
    1.6

### setSystemProperties

    public static void setSystemProperties(PropertiesConfiguration systemConfig)

  Set System properties from a configuration file.

  Parameters:
    `systemConfig` - The configuration containing the properties to be set.
  Since:
    1.6

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.